package com.fs.crm.service;

import java.util.List;
import com.fs.crm.domain.CrmEvent;
import com.fs.crm.param.CrmEventListQueryParam;
import com.fs.crm.vo.CrmEventListQueryVO;

/**
 * 代办事项Service接口
 * 
 * @author fs
 * @date 2022-12-21
 */
public interface ICrmEventService 
{
    /**
     * 查询代办事项
     * 
     * @param eventId 代办事项ID
     * @return 代办事项
     */
    public CrmEvent selectCrmEventById(Long eventId);

    /**
     * 查询代办事项列表
     * 
     * @param crmEvent 代办事项
     * @return 代办事项集合
     */
    public List<CrmEvent> selectCrmEventList(CrmEvent crmEvent);

    /**
     * 新增代办事项
     * 
     * @param crmEvent 代办事项
     * @return 结果
     */
    public int insertCrmEvent(CrmEvent crmEvent);

    /**
     * 修改代办事项
     * 
     * @param crmEvent 代办事项
     * @return 结果
     */
    public int updateCrmEvent(CrmEvent crmEvent);

    /**
     * 批量删除代办事项
     * 
     * @param eventIds 需要删除的代办事项ID
     * @return 结果
     */
    public int deleteCrmEventByIds(Long[] eventIds);

    /**
     * 删除代办事项信息
     * 
     * @param eventId 代办事项ID
     * @return 结果
     */
    public int deleteCrmEventById(Long eventId);

    List<CrmEventListQueryVO> selectCrmEventListQuery(CrmEventListQueryParam param);
}
